// 
// impressionistDoc.h
//
// header file for Doc 
//

#ifndef ImpressionistDoc_h
#define ImpressionistDoc_h

#include "impressionist.h"
#include "bitmap.h"

class ImpressionistUI;

class ImpressionistDoc {
public:
	ImpressionistDoc();

	void	setUI(ImpressionistUI* ui);

	char*	getImageName();
	
	int		loadImage(char *iname);
	int		saveImage(char *iname);

	void	setBrushType(int type);

	int		getSize();
	void	setSize(int size);

// Attributes
public:
	int m_nWidth, m_nHeight;
	int m_nPaintWidth, m_nPaintHeight;
	unsigned char* m_ucBitmap;
	unsigned char* m_ucPainting;

	ImpBrush* m_pCurrentBrush;

	int m_nSize;

// Operations
public:
	GLubyte* GetOriginalPixel( int x, int y );
	GLubyte* GetOriginalPixel( const Point p );

private:
	ImpressionistUI*	m_pUI;

	char	m_imageName[256];

};

extern void MessageBox(char *message);

#endif
